net.sf.statcvs.pages

## Class CommitListFormatter

- java.lang.Object
- - net.sf.statcvs.pages.CommitListFormatter

    public class CommitListFormatter
    extends java.lang.Object

Class for formatting a list of commits as HTML.

Version:
  $Id: CommitListFormatter.java,v 1.17 2009/08/22 10:30:42 benoitx Exp $
Author:
  Anja Jentzsch, Richard Cyganiak (richard@cyganiak.de)

### Constructor Summary

Constructors
Constructor and Description
`CommitListFormatter(ReportConfig config, java.util.List commits, java.util.List tags, boolean withPermalinks)` Creates a new instance for the list of commits.
`CommitListFormatter(ReportConfig config, java.util.List commit, java.util.List tags, int max, boolean withPermalinks)` Creates a new instance for the list of commits.

### Method Summary

Methods
`java.lang.String` `render()` Returns HTML code for the commit log without splitting the list into pages.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CommitListFormatter

    public CommitListFormatter(ReportConfig config,
                       java.util.List commits,
                       java.util.List tags,
                       boolean withPermalinks)

Creates a new instance for the list of commits.

Parameters:
  `commits` - A list of `Commit` objects

#### CommitListFormatter

    public CommitListFormatter(ReportConfig config,
                       java.util.List commit,
                       java.util.List tags,
                       int max,
                       boolean withPermalinks)

Creates a new instance for the list of commits.

Parameters:
  `commits` - A list of `Commit` objects
  `max` - maximum number of commits for the log; if there are more, only the most recent will be used

### Method Detail

#### render

    public java.lang.String render()

Returns HTML code for the commit log without splitting the list into pages.

Returns:
  HTML code for the commit log